WordPress.org

Ready to get started?Download WordPress

Forums

Currencyr
[resolved] Settings inaccessible showing insufficient permissions error (11 posts)

  1. Noumaan Yaqoob
    Member
    Posted 1 year ago #

    installed the plugin activated it and tried to access the settings page and it showed the following error:

    You do not have sufficient permissions to access this page.

    http://wordpress.org/extend/plugins/currencyr/

  2. Noumaan Yaqoob
    Member
    Posted 1 year ago #

    was able to reproduce error on local dev environment as well as two live sites. all running wordpress 3.5

  3. Firman Wandayandi
    Member
    Plugin Author

    Posted 1 year ago #

    Are you administrator of your wp site?

    Currencyr requires update_core permission which is only Super Admin and Administrator have it.

  4. Noumaan Yaqoob
    Member
    Posted 1 year ago #

    yes i am the administrator of all the sites.

  5. Noumaan Yaqoob
    Member
    Posted 1 year ago #

    The settings link under the plugin, takes to admin.php?page=currencyr

    when I changed this URL to options-general.php?page=currencyr I was able to access the settings page.

    The plugin itself, widgets and all plugin functionality is working.

  6. Firman Wandayandi
    Member
    Plugin Author

    Posted 1 year ago #

    Weird, I've installed a fresh copy of WP and unable to reproduce the error.

    The settings link was produced by WP. I guess the problem is admin.php, but not sure what exactly.

    Could you try to access other plugin settings page using admin.php?page=plugin-name and confirm it?

  7. Noumaan Yaqoob
    Member
    Posted 1 year ago #

    yes i can access other plugins at admin.php?page=plugin-name but not currencyr.

  8. Noumaan Yaqoob
    Member
    Posted 1 year ago #

    installed another fresh copy of wordpress on localhost was still able to reproduce the error.

  9. Firman Wandayandi
    Member
    Plugin Author

    Posted 1 year ago #

    I've found and fixed the bug. The fixes available as version 1.0.1, please try it and let me know if it works or not.

    Thanks

  10. Noumaan Yaqoob
    Member
    Posted 1 year ago #

    Thanks Firman this has resolved the issue. Thanks for quick response.

  11. Firman Wandayandi
    Member
    Plugin Author

    Posted 1 year ago #

    Great! Thanks for let me know.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic

Tags